Invite person to event
POST
/api/events/invite
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://api.eventpoint.io/api/events/invite"), Headers = { { "x-api-key", "<x-api-key>" }, }, Content = new StringContent("{ \"eventId\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"userId\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"projectId\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"comment\": \"example\", \"expiresDate\": \"2026-04-15T12:00:00Z\", \"invitees\": [ { \"name\": \"example\", \"email\": \"example\", \"phone\": \"example\", \"personId\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\" } ] }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://api.eventpoint.io/api/events/invite';const options = { method: 'POST', headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'}, body: '{"eventId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","userId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","projectId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","comment":"example","expiresDate":"2026-04-15T12:00:00Z","invitees":[{"name":"example","email":"example","phone":"example","personId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.eventpoint.io/api/events/invite \ --header 'Content-Type: application/json' \ --header 'x-api-key: <x-api-key>' \ --data '{ "eventId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "userId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "projectId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "comment": "example", "expiresDate": "2026-04-15T12:00:00Z", "invitees": [ { "name": "example", "email": "example", "phone": "example", "personId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" } ] }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”The request details.
object
eventId
string format: uuid
userId
string format: uuid
projectId
string format: uuid
comment
null | string
expiresDate
null | string format: date-time
invitees
Array<object> | null
object
name
null | string
email
null | string
phone
null | string
personId
null | string format: uuid
Examplegenerated
{ "eventId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "userId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "projectId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "comment": "example", "expiresDate": "2026-04-15T12:00:00Z", "invitees": [ { "name": "example", "email": "example", "phone": "example", "personId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" } ]}object
eventId
string format: uuid
userId
string format: uuid
projectId
string format: uuid
comment
null | string
expiresDate
null | string format: date-time
invitees
Array<object> | null
object
name
null | string
email
null | string
phone
null | string
personId
null | string format: uuid
Examplegenerated
{ "eventId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "userId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "projectId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "comment": "example", "expiresDate": "2026-04-15T12:00:00Z", "invitees": [ { "name": "example", "email": "example", "phone": "example", "personId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" } ]}object
eventId
string format: uuid
userId
string format: uuid
projectId
string format: uuid
comment
null | string
expiresDate
null | string format: date-time
invitees
Array<object> | null
object
name
null | string
email
null | string
phone
null | string
personId
null | string format: uuid
Examplegenerated
{ "eventId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "userId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "projectId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "comment": "example", "expiresDate": "2026-04-15T12:00:00Z", "invitees": [ { "name": "example", "email": "example", "phone": "example", "personId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" } ]}Responses
Section titled “Responses”OK
object
data
Array<object> | null
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
eventId
string format: uuid
invitedByUserId
string format: uuid
userId
null | string format: uuid
personId
null | string format: uuid
status
name
null | string
firstName
null | string
lastName
null | string
email
null | string
contactEmail
null | string
phone
null | string
jobTitle
null | string
company
null | string
rsvpKey
null | string
emailDate
null | string format: date-time
expiresDate
null | string format: date-time
isExpired
boolean
comment
null | string
message
null | string
success
boolean
status
null | integer | string format: int32
object
data
Array<object> | null
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
eventId
string format: uuid
invitedByUserId
string format: uuid
userId
null | string format: uuid
personId
null | string format: uuid
status
name
null | string
firstName
null | string
lastName
null | string
email
null | string
contactEmail
null | string
phone
null | string
jobTitle
null | string
company
null | string
rsvpKey
null | string
emailDate
null | string format: date-time
expiresDate
null | string format: date-time
isExpired
boolean
comment
null | string
message
null | string
success
boolean
status
null | integer | string format: int32
Example
{ "data": [ { "status": "NeedsAction" } ]}object
data
Array<object> | null
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
eventId
string format: uuid
invitedByUserId
string format: uuid
userId
null | string format: uuid
personId
null | string format: uuid
status
name
null | string
firstName
null | string
lastName
null | string
email
null | string
contactEmail
null | string
phone
null | string
jobTitle
null | string
company
null | string
rsvpKey
null | string
emailDate
null | string format: date-time
expiresDate
null | string format: date-time
isExpired
boolean
comment
null | string
message
null | string
success
boolean
status
null | integer | string format: int32
Example
{ "data": [ { "status": "NeedsAction" } ]}Forbidden
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}